HLRecord.HLSubType (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.messaging.common.messages.records
Enum HLRecord.HLSubType

    java.lang.Object
      java.lang.Enum<HLRecord.HLSubType>
          org.gcube.messaging.common.messages.records.HLRecord.HLSubType

All Implemented Interfaces:
  Serializable, Comparable<HLRecord.HLSubType>

Enclosing class:
  HLRecord

    public static enum HLRecord.HLSubType

extends Enum<HLRecord.HLSubType>

Enum Constant Summary
`HL_BASKET_ITEM_CREATED`
`HL_BASKET_ITEM_IMPORTED`
`HL_BASKET_ITEM_REMOVED`
`HL_ITEM_SENT`
`HL_WORKSPACEAREA_CREATED`

Method Summary
`String` | `toString()`
`static HLRecord.HLSubType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HLRecord.HLSubType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HL_BASKET_ITEM_CREATED

    public static final HLRecord.HLSubType HL_BASKET_ITEM_CREATED

### HL_BASKET_ITEM_REMOVED

    public static final HLRecord.HLSubType HL_BASKET_ITEM_REMOVED

### HL_BASKET_ITEM_IMPORTED

    public static final HLRecord.HLSubType HL_BASKET_ITEM_IMPORTED

### HL_ITEM_SENT

    public static final HLRecord.HLSubType HL_ITEM_SENT

### HL_WORKSPACEAREA_CREATED

    public static final HLRecord.HLSubType HL_WORKSPACEAREA_CREATED

Method Detail

### values

    public static HLRecord.HLSubType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HLRecord.HLSubType c : HLRecord.HLSubType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HLRecord.HLSubType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<HLRecord.HLSubType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.